import { AfterViewInit } from '@angular/core';
import { MatIconRegistry } from '@angular/material/icon';
import { DomSanitizer } from '@angular/platform-browser';
import * as i0 from "@angular/core";
export declare class ChipBarComponent implements AfterViewInit {
    hasId: string;
    hasClass: boolean;
    private el;
    private renderer;
    private resizeObserver;
    private chips;
    private scroller;
    router: import("@angular/core").InputSignal<string>;
    items: import("@angular/core").InputSignal<any[]>;
    fluid: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    fixed: import("@angular/core").InputSignalWithTransform<boolean, unknown>;
    platformId: Object;
    clientWidth: number;
    scrollWidth: number;
    scrollLeft: number;
    constructor(iconRegistry: MatIconRegistry, sanitizer: DomSanitizer);
    ngAfterViewInit(): void;
    setCustomProperties(width: number): void;
    init(): void;
    onScroll(event: any): void;
    leftArrowClick(): void;
    rightArrowClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChipBarComponent, "rolatech-chip-bar", never, { "router": { "alias": "router"; "required": false; "isSignal": true; }; "items": { "alias": "items"; "required": false; "isSignal": true; }; "fluid": { "alias": "fluid"; "required": false; "isSignal": true; }; "fixed": { "alias": "fixed"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
