import { AfterContentChecked, AfterContentInit, ElementRef, Renderer2 } from '@angular/core';
import { BreakpointObserver } from '@angular/cdk/layout';
import * as i0 from "@angular/core";
export interface LINK {
    title: string;
    subtitle?: string;
    openinView?: boolean;
    icon?: string;
    link: string;
    children?: LINK[];
    button?: boolean;
    exact?: boolean;
}
export declare class DrawerComponent implements AfterContentInit, AfterContentChecked {
    private _enableAnimations;
    persistent: boolean | undefined;
    links: import("@angular/core").InputSignal<LINK[] | undefined>;
    position: import("@angular/core").InputSignal<string>;
    opened: import("@angular/core").InputSignal<boolean>;
    el: ElementRef<any>;
    renderer: Renderer2;
    platformId: Object;
    breakpointObserver: BreakpointObserver;
    appLayout: import("../../provider").AppLayoutConfig;
    guideEl: import("@angular/core").Signal<ElementRef<any> | undefined>;
    content: import("@angular/core").Signal<ElementRef<any> | undefined>;
    scrimEl: import("@angular/core").Signal<ElementRef<any> | undefined>;
    headerEl: import("@angular/core").Signal<ElementRef<any> | undefined>;
    isMobile: boolean;
    isPersistent: boolean;
    panelOpenState: boolean;
    private _opened;
    private _platform;
    open(): void;
    close(): void;
    toggle(): void;
    init(isMobile: boolean): void;
    ngAfterContentInit(): void;
    ngAfterContentChecked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DrawerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DrawerComponent, "rolatech-drawer", never, { "links": { "alias": "links"; "required": false; "isSignal": true; }; "position": { "alias": "position"; "required": false; "isSignal": true; }; "opened": { "alias": "opened"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
