import { AfterContentInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import { TopbarComponent } from '../topbar/topbar.component';
import { DrawerComponent } from '../drawer/drawer.component';
import { BreakpointObserver } from '@angular/cdk/layout';
import { MiniGuideComponent } from '../mini-guide/mini-guide.component';
import { AppPageComponent } from '../page/page.component';
import { ViewportRuler } from '@angular/cdk/scrolling';
import { Platform } from '@angular/cdk/platform';
import * as i0 from "@angular/core";
export declare class LayoutComponent implements OnInit, AfterContentInit {
    appLayout: import("../../provider").AppLayoutConfig;
    viewportRuler: ViewportRuler;
    el: ElementRef<any>;
    renderer: Renderer2;
    _platform: Platform;
    breakpointObserver: BreakpointObserver;
    topbar: import("@angular/core").Signal<TopbarComponent>;
    drawer: import("@angular/core").Signal<DrawerComponent>;
    page: import("@angular/core").Signal<AppPageComponent>;
    guide: import("@angular/core").Signal<MiniGuideComponent>;
    readonly breakpoint$: import("rxjs").Observable<import("@angular/cdk/layout").BreakpointState>;
    constructor();
    ngAfterContentInit(): void;
    ngOnInit(): void;
    open(): void;
    close(): void;
    toggle(): void;
    init(): void;
    private breakpointChanged;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutComponent, "rolatech-layout", never, {}, {}, ["topbar", "drawer", "page", "guide"], ["rolatech-topbar", "rolatech-drawer", "rolatech-mini-guide", "rolatech-page", "rolatech-footer"], true, never>;
}
