import { Media } from '@rolatech/angular-common';
import * as i0 from "@angular/core";
export declare class MediaListItemComponent {
    media: import("@angular/core").InputSignal<Media>;
    uploadProgress: import("@angular/core").InputSignal<number>;
    mediaItemClick: import("@angular/core").OutputEmitterRef<{
        selected: number;
        media: Media;
    }>;
    deleteMedia: import("@angular/core").OutputEmitterRef<Media>;
    onMediaItemClick(event: any): void;
    onDeleteMedia(media: Media): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaListItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MediaListItemComponent, "rolatech-media-list-item", never, { "media": { "alias": "media"; "required": true; "isSignal": true; }; "uploadProgress": { "alias": "uploadProgress"; "required": false; "isSignal": true; }; }, { "mediaItemClick": "mediaItemClick"; "deleteMedia": "deleteMedia"; }, never, never, true, never>;
}
