import { AfterViewInit, ChangeDetectorRef, ElementRef, OnDestroy } from '@angular/core';
import { LoadingService } from '@rolatech/angular-services';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SpinnerComponent implements AfterViewInit, OnDestroy {
    title: import("@angular/core").InputSignal<string | undefined>;
    isLoading: boolean;
    loadingSubscription: Subscription;
    loadingService: LoadingService;
    _elmRef: ElementRef<any>;
    _changeDetectorRef: ChangeDetectorRef;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpinnerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpinnerComponent, "rolatech-spinner", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
