import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { BreakpointObserver } from '@angular/cdk/layout';
import { DrawerComponent } from '../drawer/drawer.component';
import { MiniGuideComponent } from '../mini-guide/mini-guide.component';
import * as i0 from "@angular/core";
export declare class TopbarComponent implements OnInit {
    hostId: string;
    hasClass: boolean;
    persistent: boolean | undefined;
    el: ElementRef<any>;
    renderer: Renderer2;
    platformId: Object;
    breakpointObserver: BreakpointObserver;
    appLayout: import("../../provider").AppLayoutConfig;
    link: import("@angular/core").InputSignal<string>;
    appDrawer: DrawerComponent;
    miniGuide: MiniGuideComponent;
    ngOnInit(): void;
    onToggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TopbarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TopbarComponent, "rolatech-topbar", never, { "link": { "alias": "link"; "required": false; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
