import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { Media } from '@rolatech/angular-common';
import { MediaService } from '@rolatech/angular-services';
import * as i0 from "@angular/core";
export interface PreMedia {
    url: string;
    alt: string;
    isUploading: boolean;
    isUploaded: boolean;
    file: File;
}
export declare class MediaUploadDialogComponent implements OnInit {
    dialogRef: MatDialogRef<MediaUploadDialogComponent>;
    data: any;
    private mediaService;
    fileData: any;
    progressInfos: any;
    media: Media[];
    preMedia: PreMedia[];
    isFinished: boolean;
    isUploaded: boolean;
    constructor(dialogRef: MatDialogRef<MediaUploadDialogComponent>, data: any, mediaService: MediaService);
    ngOnInit(): void;
    selectFiles(event: any): void;
    addImage(file: any): void;
    removeImage(index: any): void;
    uploadFiles(): void;
    upload(idx: any, file: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaUploadDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MediaUploadDialogComponent, "rolatech-media-upload-dialog", never, {}, {}, never, never, true, never>;
}
