import { MatDialog } from '@angular/material/dialog';
import { Media } from '@rolatech/angular-common';
import * as i0 from "@angular/core";
export declare class MediaUploadComponent {
    title: import("@angular/core").InputSignal<string>;
    subtitle: import("@angular/core").InputSignal<string>;
    description: import("@angular/core").InputSignal<string>;
    isUploading: import("@angular/core").InputSignal<boolean>;
    mediaItemClick: import("@angular/core").OutputEmitterRef<Media>;
    upload: import("@angular/core").OutputEmitterRef<FormData | null>;
    media: Media[];
    dialog: MatDialog;
    onMediaItemClick(item: Media): void;
    onMediaClick(i: any): void;
    onUpload(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MediaUploadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MediaUploadComponent, "rolatech-media-upload", never, { "title": { "alias": "title"; "required": false; "isSignal": true; }; "subtitle": { "alias": "subtitle"; "required": false; "isSignal": true; }; "description": { "alias": "description"; "required": false; "isSignal": true; }; "isUploading": { "alias": "isUploading"; "required": false; "isSignal": true; }; }, { "mediaItemClick": "mediaItemClick"; "upload": "upload"; }, never, never, true, never>;
}
