import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { BreakpointObserver } from '@angular/cdk/layout';
import * as i0 from "@angular/core";
export interface MiniGuide {
    title: string;
    icon: string;
    link: string;
}
export declare class MiniGuideComponent implements OnInit {
    el: ElementRef<any>;
    renderer: Renderer2;
    platformId: Object;
    breakpointObserver: BreakpointObserver;
    items: import("@angular/core").InputSignal<MiniGuide[] | undefined>;
    title: import("@angular/core").InputSignal<boolean>;
    opened: boolean;
    disableToggle: boolean;
    readonly breakpoint$: import("rxjs").Observable<import("@angular/cdk/layout").BreakpointState>;
    ngOnInit(): void;
    private breakpointChanged;
    open(): void;
    close(): void;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MiniGuideComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MiniGuideComponent, "rolatech-mini-guide", never, { "items": { "alias": "items"; "required": false; "isSignal": true; }; "title": { "alias": "title"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
