import { EnvironmentProviders, InjectionToken } from '@angular/core';
export interface DrawerConfig {
    persistent: boolean;
}
export interface AppTopbarConfig {
    persistent: boolean;
}
export interface AppLayoutConfig {
    title: string;
    subtitle?: string;
    persistent?: boolean | undefined;
    topbar?: AppTopbarConfig;
    drawer?: DrawerConfig;
    guide?: boolean | undefined;
}
export declare const APP_LAYOUT: InjectionToken<AppLayoutConfig>;
export declare function provideAngularLayout(config?: AppLayoutConfig): EnvironmentProviders;
